/// <reference types="angular" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { ServiceBase } from "./base.service";
export declare class HttpServiceBase extends ServiceBase {
    private $http;
    private host;
    constructor($http: ng.IHttpService, host: string);
    private getStringValue(value);
    private getUrl(url, params?);
    post<T>(url: string, params?: any, data?: any, queryString?: any): ng.IHttpPromise<T>;
    patch<T>(url: string, params?: any, data?: any, queryString?: any): ng.IHttpPromise<T>;
    put<T>(url: string, params?: any, data?: any, queryString?: any): ng.IHttpPromise<T>;
    get<T>(url: string, params?: any, data?: any, queryString?: any): ng.IHttpPromise<T>;
    delete<T>(url: string, params?: any, data?: any, queryString?: any): ng.IHttpPromise<T>;
    protected getHeaders(): any;
}
